<?php
/**
 * @package Configuration Settings circa 1.3.8
 * @copyright Copyright 2003-2007 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 */


/*************** NOTE: This file is similar, but DIFFERENT from the "admin" version of configure.php. ***********/
/***************       The 2 files should be kept separate and not used to overwrite each other.      ***********/

//$meta = unserialize(file_get_contents('http://www.geoplugin.net/php.gp?ip='.$_SERVER['REMOTE_ADDR']));
$servername = "localhost";
$username = "livingnd_zc2";
$password = "HCa4Uh72qNw8";
$dbname = "livingnd_zc2";
function getClientIP() {
    $ip = $_SERVER['REMOTE_ADDR']; 
    // Check for the presence of HTTP_X_FORWARDED_FOR header to handle cases involving proxies
    if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $proxy_ips = explode(',', $_SERVER['HTTP_X_FORWARDED_FOR']);
        $ip = trim(end($proxy_ips));
    }

    return $ip;
}
$ipAddores = getClientIP();
// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);
// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
$countrycode = "";
$sql = "SELECT * FROM zen_iplocations WHERE countrycode!='' and ipadress = '".trim($ipAddores)."'";
 
$result = $conn->query($sql);
//echo "COUNT ".$result->num_rows;
//exit;
if($result->num_rows > 0) {
	$row = $result->fetch_assoc();
	$countrycode = $row['countrycode'];
}else {
	//$url = 'http://api.ipstack.com/'.$_SERVER['REMOTE_ADDR'].'?access_key=7fbe06b5d0b1764f69573f4da376e824';
  $url = 'http://api.ipstack.com/'.$ipAddores.'?access_key=92bbcd9caea20611398a946f60ae5848';
	$response = file_get_contents($url);
	$meta = json_decode($response);
  
  $sql12 = "SELECT * FROM zen_iplocations WHERE ipadress = '".trim($ipAddores)."'";
  $result12 = $conn->query($sql12);
  if($result->num_rows > 0) {
    $sql ="update  
        zen_iplocations 
       SET
        ipadress = '".trim($ipAddores)."',
        countrycode  = '".$meta->country_code."',
        response = '".$response."'  
        WHERE ipadress = '".trim($ipAddores)."'"; 
      $conn->query($sql); 
  }else{
      $sql ="INSERT INTO 
        zen_iplocations 
       SET
        ipadress = '".trim($ipAddores)."',
        countrycode  = '".$meta->country_code."',
        response = '".$response."'  ";
      
    $conn->query($sql); 
  }



			 	
	if(isset($meta->country_code)){
		$countrycode = $meta->country_code;
	}
}



if ($countrycode != 'ZA' && $_SERVER['REMOTE_ADDR'] != '106.195.14.93' ) {
	if(CRON != 1){
		header('Location: http://www.livingsupplements.com/');
		exit;
	}
} 

// Define the webserver and path parameters
  // HTTP_SERVER is your Main webserver: eg, http://www.yourdomain.com
  // HTTPS_SERVER is your Secure webserver: eg, https://www.yourdomain.com
  define('HTTP_SERVER', 'http://products.livingnetwork.co.za');
  define('HTTPS_SERVER', 'https://products.livingnetwork.co.za');

  // Use secure webserver for checkout procedure?
  define('ENABLE_SSL', 'true');

// NOTE: be sure to leave the trailing '/' at the end of these lines if you make changes!
// * DIR_WS_* = Webserver directories (virtual/URL)
  // these paths are relative to top of your webspace ... (ie: under the public_html or httpdocs folder)
  define('DIR_WS_CATALOG', '/');
  define('DIR_WS_HTTPS_CATALOG', '/');

  define('DIR_WS_IMAGES', 'images/');
  define('DIR_WS_INCLUDES', 'includes/');
  define('DIR_WS_FUNCTIONS', DIR_WS_INCLUDES . 'functions/');
  define('DIR_WS_CLASSES', DIR_WS_INCLUDES . 'classes/');
  define('DIR_WS_MODULES', DIR_WS_INCLUDES . 'modules/');
  define('DIR_WS_LANGUAGES', DIR_WS_INCLUDES . 'languages/');
  define('DIR_WS_DOWNLOAD_PUBLIC', DIR_WS_CATALOG . 'pub/');
  define('DIR_WS_TEMPLATES', DIR_WS_INCLUDES . 'templates/');

  define('DIR_WS_PHPBB', '/');

// * DIR_FS_* = Filesystem directories (local/physical)
  //the following path is a COMPLETE path to your Zen Cart files. eg: /var/www/vhost/accountname/public_html/store/
  define('DIR_FS_CATALOG', '/home/livingnd/public_html/products/');

  define('DIR_FS_DOWNLOAD', DIR_FS_CATALOG . 'download/');
  define('DIR_FS_DOWNLOAD_PUBLIC', DIR_FS_CATALOG . 'pub/');
  define('DIR_WS_UPLOADS', DIR_WS_IMAGES . 'uploads/');
  define('DIR_FS_UPLOADS', DIR_FS_CATALOG . DIR_WS_UPLOADS);
  define('DIR_FS_EMAIL_TEMPLATES', DIR_FS_CATALOG . 'email/');

// define our database connection
  define('DB_TYPE', 'mysql');
  define('DB_PREFIX', 'zen_');
  define('DB_SERVER', 'localhost');
  define('DB_SERVER_USERNAME', 'livingnd_zc2');
  define('DB_SERVER_PASSWORD', 'HCa4Uh72qNw8');
  define('DB_DATABASE', 'livingnd_zc2');
  define('USE_PCONNECT', 'false'); // use persistent connections?
  define('STORE_SESSIONS', 'db'); // use 'db' for best support, or '' for file-based storage

  // The next 2 "defines" are for SQL cache support.
  // For SQL_CACHE_METHOD, you can select from:  none, database, or file
  // If you choose "file", then you need to set the DIR_FS_SQL_CACHE to a directory where your apache 
  // or webserver user has write privileges (chmod 666 or 777). We recommend using the "cache" folder inside the Zen Cart folder
  // ie: /path/to/your/webspace/public_html/zen/cache   -- leave no trailing slash  
  define('SQL_CACHE_METHOD', 'database'); 
  define('DIR_FS_SQL_CACHE', '/home/livingnd/public_html/products/cache');

// EOF
